fse1.vo

## Class EventoSanitario_grp

- java.lang.Object
- - fse1.vo.EventoSanitario_grp

-     public class EventoSanitario_grp
      extends java.lang.Object

  Rappresenta l'nsieme di eventi sanitari, E' obbligatorio specificare una ed una sola tipologia di evento sanitario.
  Author:
    BottalicoE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventoSanitario_grp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventoCertificazioneNotifica` | `getEventoCertificazione()`
    `EventoEmergenzaNotifica` | `getEventoEmergenza()`
    `EventoFarmaceuticoNotifica` | `getEventoFarmaceutico()`
    `EventoRicoveroNotifica` | `getEventoRicovero()`
    `EventoSpecialisticoNotifica` | `getEventoSpecialistico()`
    `void` | `setEventoCertificazione(EventoCertificazioneNotifica eventoCertificazione)`
    `void` | `setEventoEmergenza(EventoEmergenzaNotifica eventoEmergenza)`
    `void` | `setEventoFarmaceutico(EventoFarmaceuticoNotifica eventoFarmaceutico)`
    `void` | `setEventoRicovero(EventoRicoveroNotifica eventoRicovero)`
    `void` | `setEventoSpecialistico(EventoSpecialisticoNotifica eventoSpecialistico)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventoSanitario_grp

          public EventoSanitario_grp()

  - ### Method Detail

    - #### getEventoCertificazione

          public EventoCertificazioneNotifica getEventoCertificazione()

    - #### setEventoCertificazione

          public void setEventoCertificazione(EventoCertificazioneNotifica eventoCertificazione)

    - #### getEventoEmergenza

          public EventoEmergenzaNotifica getEventoEmergenza()

    - #### setEventoEmergenza

          public void setEventoEmergenza(EventoEmergenzaNotifica eventoEmergenza)

    - #### getEventoFarmaceutico

          public EventoFarmaceuticoNotifica getEventoFarmaceutico()

    - #### setEventoFarmaceutico

          public void setEventoFarmaceutico(EventoFarmaceuticoNotifica eventoFarmaceutico)

    - #### getEventoRicovero

          public EventoRicoveroNotifica getEventoRicovero()

    - #### setEventoRicovero

          public void setEventoRicovero(EventoRicoveroNotifica eventoRicovero)

    - #### getEventoSpecialistico

          public EventoSpecialisticoNotifica getEventoSpecialistico()

    - #### setEventoSpecialistico

          public void setEventoSpecialistico(EventoSpecialisticoNotifica eventoSpecialistico)